Opened 9 years ago

Closed 7 years ago

#6555 closed bug (fixed)

[Clockwerk] Need recompilation.

Reported by: HaikuBot Owned by: stippi
Priority: normal Milestone: R1
Component: Applications Version: R1/Development
Keywords: Clockwerk Cc:
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

Haiku hrev38527 if you try launch clockwerk you will get error "Can't find symbol".

I think recompilation will solve issue.

See screenshot in attachment.

Attachments (3)

Clockwerk.png (229.9 KB) - added by HaikuBot 9 years ago.
clockwerk.png (320.3 KB) - added by mks 7 years ago.
hrev43812-2hn_clockwerk_crashes_on_launch.txt (4.1 KB) - added by Disreali 7 years ago.

Download all attachments as: .zip

Change History (12)

Changed 9 years ago by HaikuBot

Attachment: Clockwerk.png added

comment:1 Changed 9 years ago by Disreali

Also an issue on earlier build hrev38423.

Error message in English:

Could not open "Clockwerk" (Missing symbol: InvalidateLoyout__11BLayoutItem).

comment:2 Changed 9 years ago by anevilyak

Owner: changed from nobody to stippi
Status: newassigned

comment:3 Changed 9 years ago by HaikuBot

close please, see hrev38966

comment:4 Changed 9 years ago by stippi

Resolution: fixed
Status: assignedclosed

New package provided in hrev38966. Thanks, HaikuBot!

comment:5 Changed 7 years ago by mks

Resolution: fixed
Status: closedreopened

Clockwerk doesn't start in recent nightly builds. The missing symbol, if you need it, is: "_ZN5BView15_ReservedView12Ev".

Changed 7 years ago by mks

Attachment: clockwerk.png added

comment:6 Changed 7 years ago by Disreali

One of the recent Layout changes is responsible. Added a ticket and patch to the Clockwerk tracker over on OsDrawer.

Changed 7 years ago by Disreali

comment:7 Changed 7 years ago by luroh

Note that only the gcc2 package seems to be affected this time, the gcc4 version launches fine.

comment:8 Changed 7 years ago by Disreali

The Clockwerk optional pkg crashes on hrev43812-2h nightly. I just built a gcc2 clockwerk on 43812 and it works fine. According to others on irc, the gcc4 optpkg version works on hrev43809-4h, so it is just the gcc2 optpkg that needs to be rebuilt.

comment:9 Changed 7 years ago by humdinger

Resolution: fixed
Status: reopenedclosed

Recompiled gcc2 version, updated optional package with hrev43824. Closing as fixed. Again. :)

Note: See TracTickets for help on using tickets.